services:
  sermon-notes:
    container_name: sermon-notes
    image: gitea.rkprather.com/ryan/sermon-notes:latest
    hostname: sermon-notes
    restart: unless-stopped
    env_file: .env
    ports:
      - ${HTTP_PORT}:80
    volumes:
      - ${PWD}/.env:/var/www/html/.env
    depends_on:
      - db

  db:
    image: postgres:17
    container_name: db
    hostname: db
    restart: unless-stopped
    env_file: .env
    volumes:
      - ${PWD}/db-data:/var/lib/postgresql/data
    